using System;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;
using System.Collections;
using System.Drawing;
using System.IO;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class upload : System.Web.UI.Page
{
  protected void Page_Load(object sender, EventArgs e)
  {

  }
  public bool ThumbnailCallback()
  {
    return false;
  }
  protected void Button1_Click(object sender, EventArgs e)
  {
    // Note: we shouldn't need these 'if' statements as we have pre-validated on the client
    if (FileUpload1.HasFile)
      if (System.IO.Path.GetExtension
              (FileUpload1.FileName).ToLower() == ".jpg")
      {
        SqlConnection conn =
          new SqlConnection(ConfigurationManager.ConnectionStrings["ConnectionString"].ConnectionString);
        SqlCommand cmd =
          new SqlCommand
            (@"INSERT INTO tblImages (OrigFilename, [Title], [Description])
               VALUES (@Filename, @Title, @Description);
               SELECT @FileID = SCOPE_IDENTITY();", conn);
        cmd.Parameters.Add("@Filename",
                           SqlDbType.NVarChar, 250).Value = FileUpload1.FileName;
        cmd.Parameters.Add("@Title",
                           SqlDbType.NVarChar, 50).Value = TxtTitle.Text;
        cmd.Parameters.Add("@Description",
                           SqlDbType.NVarChar, 500).Value = TxtDesc.Text;
        cmd.Parameters.Add("@FileID", SqlDbType.Int, 4);
        cmd.Parameters["@FileID"].Direction = ParameterDirection.Output;
        conn.Open();
        cmd.ExecuteNonQuery();
        string filename = cmd.Parameters["@FileID"].Value.ToString();
        FileUpload1.SaveAs(Server.MapPath("~/Images/") + filename + ".jpg");
        MemoryStream str = new MemoryStream(FileUpload1.FileBytes);
        byte[] bytes = FileUpload1.FileBytes;
        System.Drawing.Image bmp = System.Drawing.Image.FromStream(str);
        System.Drawing.Image.GetThumbnailImageAbort myCallback =
          new System.Drawing.Image.GetThumbnailImageAbort(ThumbnailCallback);
        int w, h;
        w = Math.Min(100, bmp.Width);
        h = bmp.Height * w / bmp.Width;
        System.Drawing.Image thumb = bmp.GetThumbnailImage(w, h, myCallback, IntPtr.Zero);
        thumb.Save(Server.MapPath("~/Thumbs/") + filename + ".jpg");
      }
  }
}
